Внимание!
Не все расширения для phpBB 3.2 совместимы с phpBB 3.3, главным образом из-за неверного синтаксиса в определениях сервисов (отсутствия обрамляющих кавычек - '...').
Перед обновлением необходимо убедиться в совместимости всех расширений.
Рекомендуется предварительно тестировать обновление на копии конференции (локально или на сервере).

Вышел phpBB 3.3.0 [обсуждаем]

Проблемы с установкой или работой phpBB 3.3.x? Получите помощь здесь!
Правила форума
Местная Конституция | Шаблон запроса | Документация (phpBB3) | Мини [FAQ] по phpBB 3.1.x/3.2.x | FAQ | Как задавать вопросы | Как устанавливать расширения

Ваш вопрос может быть удален без объяснения причин, если на него есть ответы по приведённым ссылкам (а вы рискуете получить предупреждение ;) ).
Аватара пользователя
hd321kbps
phpBB 2.0.1
Сообщения: 294
Зарегистрирован: 30.03.2012 18:45
Откуда: Россия, Крым, Армянск
Благодарил (а): 129 раз
Поблагодарили: 336 раз

Re: Вышел phpBB 3.3.0 [обсуждаем]

Сообщение hd321kbps »

Подскажите! Может было еще у кого-то при обновлении.
1. Дублирование модуля Админка -> Форумы -> Локальные права доступа -> Копирование прав доступа
2. Количество ботов в админке у всех осталось прежнее или сократилось?

wwwzebra
phpBB 1.4.3
Сообщения: 75
Зарегистрирован: 20.01.2011 16:57
Благодарил (а): 16 раз

Re: Вышел phpBB 3.3.0 [обсуждаем]

Сообщение wwwzebra »

Уважаемые GURU!

Нужна Ваша помощь.
После обновления до 3.3.0 получил такое сообщение:

Код: Выделить всё

Произошла ошибка phpBB при компиляции контейнера, связанная с одним из установленных расширений. По этой причине, все установленные расширения были временно отключены. Попробуйте очистить кэш конференции. Все расширения будут автоматически включены, если ошибка контейнера будет устранена. В противном случае, обратитесь на сайт официальной русской поддержки phpBB Guru для получения помощи.


Исключение: The file "/home/virtwww/w_nemchinovka_45eec3f8/http/forum/ext/tapatalk/tapatalk/config/services.yml" does not contain valid YAML: The reserved indicator "@" cannot start a plain scalar; you need to quote the scalar at line 5 (near "- @template").

#0 /home/virtwww/w_nemchinovka_45eec3f8/http/forum/vendor/symfony/dependency-injection/Loader/YamlFileLoader.php(117): Symfony\Component\DependencyInjection\Loader\YamlFileLoader->loadFile('/home/virtwww/w...')
#1 /home/virtwww/w_nemchinovka_45eec3f8/http/forum/phpbb/extension/di/extension_base.php(99): Symfony\Component\DependencyInjection\Loader\YamlFileLoader->load('services.yml')
#2 /home/virtwww/w_nemchinovka_45eec3f8/http/forum/phpbb/extension/di/extension_base.php(63): phpbb\extension\di\extension_base->load_services(Object(Symfony\Component\DependencyInjection\Compiler\MergeExtensionConfigurationContainerBuilder))
#3 /home/virtwww/w_nemchinovka_45eec3f8/http/forum/vendor/symfony/dependency-injection/Compiler/MergeExtensionConfigurationPass.php(71): phpbb\extension\di\extension_base->load(Array, Object(Symfony\Component\DependencyInjection\Compiler\MergeExtensionConfigurationContainerBuilder))
#4 /home/virtwww/w_nemchinovka_45eec3f8/http/forum/vendor/symfony/http-kernel/DependencyInjection/MergeExtensionConfigurationPass.php(39): Symfony\Component\DependencyInjection\Compiler\MergeExtensionConfigurationPass->process(Object(Symfony\Component\DependencyInjection\ContainerBuilder))
#5 /home/virtwww/w_nemchinovka_45eec3f8/http/forum/vendor/symfony/dependency-injection/Compiler/Compiler.php(140): Symfony\Component\HttpKernel\DependencyInjection\MergeExtensionConfigurationPass->process(Object(Symfony\Component\DependencyInjection\ContainerBuilder))
#6 /home/virtwww/w_nemchinovka_45eec3f8/http/forum/vendor/symfony/dependency-injection/ContainerBuilder.php(789): Symfony\Component\DependencyInjection\Compiler\Compiler->compile(Object(Symfony\Component\DependencyInjection\ContainerBuilder))
#7 /home/virtwww/w_nemchinovka_45eec3f8/http/forum/phpbb/di/container_builder.php(203): Symfony\Component\DependencyInjection\ContainerBuilder->compile()
#8 /home/virtwww/w_nemchinovka_45eec3f8/http/forum/common.php(115): phpbb\di\container_builder->get_container()
#9 /home/virtwww/w_nemchinovka_45eec3f8/http/forum/adm/index.php(23): require('/home/virtwww/w...')
#10 {main}

Что не правильно сделал? Что нужно исправить?
Заранее признателен за любую помощь

похоже проблема с самими расширениями, вернее - их не совместимости с новой версией phpbb 3.3.0

First post on every page 2.0.2
Forum Sponsor 2.0.3
Upload Extensions 3.2.0-RC
External Links 1.0.5

Аватара пользователя
rxu
phpBB Guru
phpBB Guru
Сообщения: 14788
Зарегистрирован: 12.05.2006 18:16
Откуда: Красноярск
Благодарил (а): 356 раз
Поблагодарили: 1634 раза

Re: Вышел phpBB 3.3.0 [обсуждаем]

Сообщение rxu »

wwwzebra, в файле /ext/tapatalk/tapatalk/config/services.yml все сервисы и константы заключить в одинарные кавычки, например '@template' и так далее. И, скорее всего, такая проблема будет не только с этим расширением.
Изображение

wwwzebra
phpBB 1.4.3
Сообщения: 75
Зарегистрирован: 20.01.2011 16:57
Благодарил (а): 16 раз

Re: Вышел phpBB 3.3.0 [обсуждаем]

Сообщение wwwzebra »

rxu писал(а):
08.02.2020 14:15
wwwzebra, в файле /ext/tapatalk/tapatalk/config/services.yml все сервисы и константы заключить в одинарные кавычки, например '@template' и так далее.
Коллега!

Спасибо за Ваш ответ.
Tapatalk - скачал обновленную версию с сайта и все заработало.

Проблема осталась только с этими модами:
External Links 1.0.5
First post on every page 2.0.2
Forum Sponsor 2.0.3
Upload Extensions 3.2.0-RC

Обновлений для них - не нашел. Очевидно они не поддерживаются авторами.
Может кто знает их "судьбу" или может предложить аналоги?
 
В частности, запуская мод First post on every page 2.0.2 получаю следующее сообщение:
Произошла ошибка phpBB при компиляции контейнера, связанная с одним из установленных расширений. По этой причине, все установленные расширения были временно отключены. Попробуйте очистить кэш конференции. Все расширения будут автоматически включены, если ошибка контейнера будет устранена. В противном случае, обратитесь на сайт официальной русской поддержки phpBB Guru для получения помощи.


Исключение: The file "/home/virtwww/w_nemchinovka_45eec3f8/http/forum/ext/rxu/FirstPostOnEveryPage/config/services.yml" does not contain valid YAML: The reserved indicator "@" cannot start a plain scalar; you need to quote the scalar at line 5 (near "- @dbal.conn").

#0 /home/virtwww/w_nemchinovka_45eec3f8/http/forum/vendor/symfony/dependency-injection/Loader/YamlFileLoader.php(117): Symfony\Component\DependencyInjection\Loader\YamlFileLoader->loadFile('/home/virtwww/w...')
#1 /home/virtwww/w_nemchinovka_45eec3f8/http/forum/phpbb/extension/di/extension_base.php(99): Symfony\Component\DependencyInjection\Loader\YamlFileLoader->load('services.yml')
#2 /home/virtwww/w_nemchinovka_45eec3f8/http/forum/phpbb/extension/di/extension_base.php(63): phpbb\extension\di\extension_base->load_services(Object(Symfony\Component\DependencyInjection\Compiler\MergeExtensionConfigurationContainerBuilder))
#3 /home/virtwww/w_nemchinovka_45eec3f8/http/forum/vendor/symfony/dependency-injection/Compiler/MergeExtensionConfigurationPass.php(71): phpbb\extension\di\extension_base->load(Array, Object(Symfony\Component\DependencyInjection\Compiler\MergeExtensionConfigurationContainerBuilder))
#4 /home/virtwww/w_nemchinovka_45eec3f8/http/forum/vendor/symfony/http-kernel/DependencyInjection/MergeExtensionConfigurationPass.php(39): Symfony\Component\DependencyInjection\Compiler\MergeExtensionConfigurationPass->process(Object(Symfony\Component\DependencyInjection\ContainerBuilder))
#5 /home/virtwww/w_nemchinovka_45eec3f8/http/forum/vendor/symfony/dependency-injection/Compiler/Compiler.php(140): Symfony\Component\HttpKernel\DependencyInjection\MergeExtensionConfigurationPass->process(Object(Symfony\Component\DependencyInjection\ContainerBuilder))
#6 /home/virtwww/w_nemchinovka_45eec3f8/http/forum/vendor/symfony/dependency-injection/ContainerBuilder.php(789): Symfony\Component\DependencyInjection\Compiler\Compiler->compile(Object(Symfony\Component\DependencyInjection\ContainerBuilder))
#7 /home/virtwww/w_nemchinovka_45eec3f8/http/forum/phpbb/di/container_builder.php(203): Symfony\Component\DependencyInjection\ContainerBuilder->compile()
#8 /home/virtwww/w_nemchinovka_45eec3f8/http/forum/common.php(115): phpbb\di\container_builder->get_container()
#9 /home/virtwww/w_nemchinovka_45eec3f8/http/forum/adm/index.php(23): require('/home/virtwww/w...')
#10 {main}
Похоже нужно применить Ваши рекомендации - по поводу кавычек - для этих модов.

Я читал, если не ошибаюсь, что некоторые изменения в новом релизе phpbb связаны как раз с использованием кавычек...

P.S. Вставил кавычки, заработало. В последней строке только не знаю - нужны ли кавычки и если да, то где?
 
services:
alg.ForumSponsor.listener:
class: alg\ForumSponsor\event\listener
arguments:
- '@template'
- '@user'
- '@request'
- '%core.root_path%'
- '%core.php_ext%'
tags:
- { name: event.listener }
Последний раз редактировалось wwwzebra 16.02.2020 17:59, всего редактировалось 1 раз.

Аватара пользователя
demonlibra
phpBB 1.4.4
Сообщения: 158
Зарегистрирован: 23.10.2009 19:51
Благодарил (а): 6 раз
Поблагодарили: 17 раз

Re: Вышел phpBB 3.3.0 [обсуждаем]

Сообщение demonlibra »


wwwzebra
phpBB 1.4.3
Сообщения: 75
Зарегистрирован: 20.01.2011 16:57
Благодарил (а): 16 раз

Re: Вышел phpBB 3.3.0 [обсуждаем]

Сообщение wwwzebra »

demonlibra писал(а):
16.02.2020 17:53
wwwzebra писал(а): ↑14 минут назад
External Links 1.0.5
https://github.com/AlfredoRamos/phpbb-e ... rnal-links
https://www.phpbb.com/community/viewtopic.php?t=2538091
Коллега!
Спасибо за ссылку. Все скачал и запустил
Этот мод - решено

max2012
phpBB 1.4.4
Сообщения: 155
Зарегистрирован: 14.06.2012 16:49
Благодарил (а): 1 раз
Поблагодарили: 2 раза

Re: Вышел phpBB 3.3.0 [обсуждаем]

Сообщение max2012 »

что то я не обнаружил вкладку создать опрос рядом с вложениями. Права админа как бы есть, роль полный доступ. Причем нет опроса на обновленном форуме, и на тестовом чистом тоже не вижу...
Может куда настройку вкл спрятали?)

Аватара пользователя
Webliberty
phpBB 2.0.4
Сообщения: 431
Зарегистрирован: 22.12.2011 11:03
Благодарил (а): 155 раз
Поблагодарили: 60 раз

Re: Вышел phpBB 3.3.0 [обсуждаем]

Сообщение Webliberty »

У меня на тестовом форуме есть такая вкладка.
Мой форум на phpBB 3.2.9 (начинал с phpBB 3.0.9)
Подпись заверена нотариусом :P

Аватара пользователя
demonlibra
phpBB 1.4.4
Сообщения: 158
Зарегистрирован: 23.10.2009 19:51
Благодарил (а): 6 раз
Поблагодарили: 17 раз

Re: Вышел phpBB 3.3.0 [обсуждаем]

Сообщение demonlibra »

max2012 писал(а):
24.02.2020 17:08
что то я не обнаружил вкладку создать опрос рядом с вложениями.
Вы смотрите первое сообщение темы?

max2012
phpBB 1.4.4
Сообщения: 155
Зарегистрирован: 14.06.2012 16:49
Благодарил (а): 1 раз
Поблагодарили: 2 раза

Re: Вышел phpBB 3.3.0 [обсуждаем]

Сообщение max2012 »

demonlibra писал(а):
25.02.2020 8:48
Вы смотрите первое сообщение темы?
разобрался, голова после обновления уже не работает. Сижу ищу опрос в последних сообщениях).
Вот уже пару дней как обновился и у меня опять возник вопрос по форуму, который я задавал лет 8 назад и смотрю ничего не изменилось...
Когда в движке форума или даже в расширениях будет полноценный редактор Wysiwyg? 2020г, а мы все пишем через какие то теги, скобочки и тд.
По какой причине нет никаких редакторов? ведь для других разных движков сайтов, есть разные варианты бесплатные и все ок.

Аватара пользователя
romaamor
phpBB 3.0.0 RC3
Сообщения: 1563
Зарегистрирован: 31.03.2012 20:28
Откуда: Одесса
Благодарил (а): 535 раз
Поблагодарили: 130 раз

Re: Вышел phpBB 3.3.0 [обсуждаем]

Сообщение romaamor »

max2012
Ооооооо, а не проще Вас заблокировать ?

Аватара пользователя
rxu
phpBB Guru
phpBB Guru
Сообщения: 14788
Зарегистрирован: 12.05.2006 18:16
Откуда: Красноярск
Благодарил (а): 356 раз
Поблагодарили: 1634 раза

Re: Вышел phpBB 3.3.0 [обсуждаем]

Сообщение rxu »

max2012 писал(а):
25.02.2020 13:05
Когда в движке форума
Никогда.
max2012 писал(а):
25.02.2020 13:05
или даже в расширениях будет полноценный редактор Wysiwyg
Напишите такое расширение и он будет.
Изображение

max2012
phpBB 1.4.4
Сообщения: 155
Зарегистрирован: 14.06.2012 16:49
Благодарил (а): 1 раз
Поблагодарили: 2 раза

Re: Вышел phpBB 3.3.0 [обсуждаем]

Сообщение max2012 »

Почитал на оф сайте про редактор, теперь понятно все. Как то не по людски, вместо того чтобы получить дельный ответ от Наших пользователей, приходится благодарить забугорных пользователей. Ладно дело ваше...
Но еще спрошу).
По дефолту настройка в админке "Настройки категории изображений" она же должна сама делать миниатюры картинок, почему то не делает. Все включил. Или это касается картинок по вложениям, а не по ссылкам?
Мне нужно по ссылкам, подскажите кто чем пользуется. Расширение Лайтбокс не нравится, во время загрузки страницы, я успеваю увидеть как он меняет размер картинки, смотреть не приятно...

Аватара пользователя
Татьяна5
Поддержка
Поддержка
Сообщения: 10022
Зарегистрирован: 08.08.2011 2:02
Благодарил (а): 176 раз
Поблагодарили: 2780 раз

Re: Вышел phpBB 3.3.0 [обсуждаем]

Сообщение Татьяна5 »

max2012, какое отношение этот поток вопросов имеет именно к выходу phpBB версии 3.3.0?

Вопросы по расширениям - в темах расширений (или в запросах расширений)
Вопросы по функционалу phpBB - в основном уже расписаны в документации. Чего нет ни в документации, ни на форуме (что редкость, всё уже есть), про то задаются вопросы в поддержке
А в этой теме обсуждаем выход phpBB 3.3.0

dnk
phpBB 2.0.4
Сообщения: 422
Зарегистрирован: 23.08.2006 19:34
Благодарил (а): 13 раз

Re: Вышел phpBB 3.3.0 [обсуждаем]

Сообщение dnk »

Ну, я, вот, смотрю, девелоперы постарались опять на славу. Красота...
 
Не удалось включить расширение wolfsblvt/advancedpolls
Не удалось включить расширение vse/similartopics
Не удалось включить расширение vse/abbc3
Не удалось включить расширение vinny/shareon
Не удалось включить расширение tatiana5/profileSideSwitcher
Не удалось включить расширение tatiana5/editor_of_attachments
Не удалось включить расширение tas2580/failedlogins
Не удалось включить расширение staffit/banlist
Не удалось включить расширение shredder/sitemap
Не удалось включить расширение shredder/pm_spy
Не удалось включить расширение sheer/topicmod
Не удалось включить расширение sheer/stopforumspam
Не удалось включить расширение sheer/minical
Не удалось включить расширение sheer/connectionlog
Не удалось включить расширение rxu/TopicActions
Не удалось включить расширение rxu/PostsMerging
Не удалось включить расширение rxu/FirstPostOnEveryPage
Не удалось включить расширение rxu/DetailedViewonline
Не удалось включить расширение rmcgirr83/topicrestriction
Не удалось включить расширение rmcgirr83/genders
Не удалось включить расширение posey/ultimateblog
Не удалось включить расширение pico/reputation
Не удалось включить расширение phpbbworld/pmread
Не удалось включить расширение phpbbmodders/usermerge
Не удалось включить расширение phpbbmodders/adduser
Не удалось включить расширение phpbbgallery/exif
Не удалось включить расширение forumhulp/uploadstyle
Не удалось включить расширение ernadoo/phpbbdirectory
Не удалось включить расширение dmzx/prevnext
Не удалось включить расширение dmzx/mchat
Не удалось включить расширение dmzx/downloadsystem
Не удалось включить расширение dg/calendar
Не удалось включить расширение david63/logsearches
Не удалось включить расширение david63/lognewuser
Не удалось включить расширение david63/faqmanager
Не удалось включить расширение dakinquelia/moderateowntopics
Не удалось включить расширение cabot/quickreplytoggle
Не удалось включить расширение c61/antibot100500
Не удалось включить расширение bruninoit/wvtt
Не удалось включить расширение borisba/newtopic
Не удалось включить расширение boardtools/quickreply
Не удалось включить расширение board3/portal
Не удалось включить расширение bb3mobi/washere
Не удалось включить расширение bb3mobi/vkRepost
Не удалось включить расширение bb3mobi/subsilver2
Не удалось включить расширение bb3mobi/exlinks
Не удалось включить расширение bb3mobi/attachments
Не удалось включить расширение alg/wwhlight
Пропущена задача «installer.install_database.set_up_database»
Минимально поддерживаемая phpBB 3.3 Proteus версия PHP повышена до PHP 7.1.3
Может сразу php 9.x, че тянуть-то с обломом десятков тысяч людей?

Вернуться в «Поддержка phpBB 3.3.x»